Package org.apache.sysds.runtime.io

## Class WriterTextLIBSVM

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixWriter
  - - org.apache.sysds.runtime.io.WriterTextLIBSVM

- Direct Known Subclasses:
    `WriterTextLIBSVMParallel`

      public class WriterTextLIBSVM
      extends MatrixWriter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WriterTextLIBSVM​(FileFormatPropertiesLIBSVM _props)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeEmptyMatrixToHDFS​(String fname, long rlen, long clen, int blen)` | Writes a minimal entry to represent an empty matrix on hdfs.
    `void` | `writeMatrixToHDFS​(MatrixBlock src, String fname, long rlen, long clen, int blen, long nnz, boolean diag)` |

    - ### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

      `createMatrixBlocksForReuse, getMatrixBlockForReuse, writeMatrixToHDFS`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterTextLIBSVM

          public WriterTextLIBSVM​(FileFormatPropertiesLIBSVM _props)

  - ### Method Detail

    - #### writeMatrixToHDFS

          public final void writeMatrixToHDFS​(MatrixBlock src,
                                              String fname,
                                              long rlen,
                                              long clen,
                                              int blen,
                                              long nnz,
                                              boolean diag)
                                       throws IOException,
                                              DMLRuntimeException

      Specified by:
        `writeMatrixToHDFS` in class `MatrixWriter`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### writeEmptyMatrixToHDFS

          public final void writeEmptyMatrixToHDFS​(String fname,
                                                   long rlen,
                                                   long clen,
                                                   int blen)
                                            throws IOException,
                                                   DMLRuntimeException

      Description copied from class: `MatrixWriter`
      Writes a minimal entry to represent an empty matrix on hdfs.
      Specified by:
        `writeEmptyMatrixToHDFS` in class `MatrixWriter`
      Parameters:
        `fname` - file name
        `rlen` - number of rows
        `clen` - number of columns
        `blen` - number of rows/cols in block
      Throws:
        `IOException` - if IOException occurs
        `DMLRuntimeException`